Subject: Re: cygwin 1.1.2: undefined reference to `setlinebuf'
From: Earnie Boyd <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 9 Jun 2000 06:52:23 -0700 (PDT)

*IMPERITIVE* /usr/bin must be *first* in the list for PATH.

Secondly, you need to upgrade to 1.1.2.

*NOTE* None of this may fix your problem, but it is a *must* to do.

Regards,
Earnie.
--- Jason Fu <[email-masked]> wrote:
> To whom it may concern,
> 
> When I tried to compile the knightcap chess demo
> downloaded from the
> site:
> ftp://samba.anu.edu.au/pub/KnightCap/, I came across
> the following:
> 
> =================================================
> cd c:/usr/local/home/tsfu/wintel_gl/KnightCap/Export/
> make -k
> mv KnightCap KnightCap.old
> mv: KnightCap: No such file or directory
> make: [KnightCap] Error 1 (ignored)
> gcc  -o KnightCap knightcap.o trackball.o move.o
> util.o generate.o
> eval.o movement.o ordering.o hash.o board.o log.o
> prog.o timer.o ics.o
> display.o testsuite.o brain.o td.o tactics.o epd.o
> epdglue.o
> -L/usr/local/lib -I/usr/local/include  -lm -lcygipc
> ics.o(.text+0x7ed):ics.c: undefined reference to
> `setlinebuf'
> collect2: ld returned 1 exit status
> make: *** [KnightCap] Error 1
> 
> Compilation exited abnormally with code 2 at Fri Jun
> 09 09:47:28
> =================================================
> 
> I compiled the demo through NT Emacs 20.6.1 with
> latest libcygipc.a and
> my system is checked by cygcheck.exe -s -v -r
> 

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Photos -- now, 100 FREE prints!
http://photos.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]